function [ corrCov ] = get6DCorrCov ( cov )
%%

corrCov.xy = cov(1:2,1:2);
corrCov.xz = [ cov(1,1) cov(1,3) ; cov(3,1) cov(3,3) ];
corrCov.xphi = [ cov(1,1) cov(1,4) ; cov(4,1) cov(4,4) ];
corrCov.xtheta = [ cov(1,1) cov(1,5) ; cov(5,1) cov(5,5) ];
corrCov.xpsi = [ cov(1,1) cov(1,6) ; cov(6,1) cov(6,6) ];
corrCov.yz = [ cov(2,2) cov(2,3) ; cov(3,2) cov(3,3) ];
corrCov.yphi = [ cov(2,2) cov(2,4) ; cov(4,2) cov(4,4) ];
corrCov.ytheta = [ cov(2,2) cov(2,5) ; cov(5,2) cov(5,5) ];
corrCov.ypsi = [ cov(2,2) cov(2,6) ; cov(6,2) cov(6,6) ];
corrCov.zphi = [ cov(3,3) cov(3,4) ; cov(4,3) cov(4,4) ];
corrCov.ztheta = [ cov(3,3) cov(3,5) ; cov(5,3) cov(5,5) ];
corrCov.zpsi = [ cov(3,3) cov(3,6) ; cov(6,3) cov(6,6) ];
corrCov.phitheta = [ cov(4,4) cov(4,5) ; cov(5,4) cov(5,5) ];
corrCov.phipsi = [ cov(4,4) cov(4,6) ; cov(6,4) cov(6,6) ];
corrCov.thetapsi = cov(5:6,5:6);

end

