function [ errorPointClouds ] = calculatePointCloudsError( refMatchedPoints, newMatchedPoints )

if (size(refMatchedPoints.data,1) ~= 3 || size(newMatchedPoints.data,1) ~= 3)
    error('The input pointClouds have to be arrays with this format -> [ 3 x N ]');
end

errorPointClouds=0;
difference = (refMatchedPoints.data - newMatchedPoints.data);
for ii=1:size(refMatchedPoints.data,2)
    errorPointClouds = errorPointClouds + norm(difference(:,ii))/size(refMatchedPoints.data,2);
end

