% GENERALIZEDICP3DMINM -
% Compute the relative rigid body transformation for the generalized ICP proposed
% by Aleksandr_rss09
%
%% Description:
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 08/2009
%			Version 1.0
%
% Usage:
%   [R t] =  BeslICP3DquatMinm;
%
% Variables:
%   Inputs:
%
% 	Outputs:
%			t	- 1 x 3 vector, traslation
%		q_min 	- 1 x 4 vector, quaternion {q_0 q_1 q_2 q_3}
%
%
%	Globals
%		dataP	- a n x 3 matrix, first correspondences  data set 
%		dataPp	- a n x 3 matrix, second correspondences data set (lastest)
%
% Notes:
% 
%
% some similarities to the variables are:
%
% dataP = z_t (Censi)= S_ref (Biota) p_2 = M (Nüchter) = B (Aleksandr) 
%       = X (Besl)
% dataPp = z_t+1 (Censi) = S_new (Biota) p_1 = D (Nüchter)= A (Aleksandr)
%       = P (Besl)
%% Code


function [ output_args ] = generalizedICP3Dminm( input_args )



end
