%%  MbICP3Dminm. Compute the matrix A for the metric-based ICP 3D Biotacra06

%% Description:
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 07/2009
%			Version 1.0
%
% Usage
%
% Variables:
%   Inputs:
%		A - a 6x6 matrix
%		b - a 6x1 vector
%
% 	Outputs:
%
% Notes:
% Formulas are written as stated in Biota_icra06.

%% Code
function q_min = MbICP3Dminm(A,b)

q_min = inv(A)*b;

