function h = plotCorrespondences3D(data,varargin)

%  Input-
%     data - a 6xn matrix

chkvarargin(varargin,2);
[color,  ...
 subFig, ...
 bgc ] = process_options(varargin,      ...
                        'Color', 'c',   ...
                        'Subfigure', 0, ...
                        'BGC','w');

% Figure config
% figure(figIDn);


% h = plot3(0,0,0,'erasemode','xor' );
hold on

[dim ndata]= size(data);

if dim ~= 6  
        error('Invalid matrix dimension for plotting correspondences');
end

pointsx = [data(1,:);data(4,:)];
pointsy = [data(2,:);data(5,:)];
pointsz = [data(3,:);data(6,:)];
h = plot3(pointsx,pointsy,pointsz,color,'erasemode','normal');
axis equal
