%% fillindexn
% Given two arrays n x 1, each one containing indexs and an other n x 1 
% array contaning the dists between the two other arrays
% find from the repeated indexs with the minimum distance between them
% keeping the one with de shortest distance


%% Description

% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change - 12/2010
%
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
% 
% Usage
%   resinx = filIndexn(indexa)
% Variables
% Intputs:
%   indexa  - a n x 1 mattrix of integers, Complement data.
%   indexb  - a n x 1 mattrix of integers, Data to be filtered.
%   dist - a n x 1 mattrix, containing the dist between indexa indexb.
%
% Outputs:
%   filnnid -> [index1 index2 dist], returns the filtered index
%   accordigly with the value of switchIbIa

%% Code
function inx = filRepInx(indexa)
%fucntion resinx = filIndexn(indexa,indexb,dist,maxDis,varargin)

inx = unique(indexa);



% m = size(indexb,2);
% resinx = [];
% 
% j=1;
% resinx(:,j) = j;
% switch type
%   case 'min'
%     for k=2:m
%       if indexa(k) == indexa(k-1)
%         if dist(k) < dist(k-1)
%           resinx(j) = k;
%         end
%       else 
%         j =j+1;
%         resinx(j) = k;
%       end
%     end
%   case 'max'
%    for k=2:m
%       if indexa(k) == indexa(k-1) 
%         if dist(k) > dist(k-1)
%           resinx(j) = k;
%          end
%       else 
%         j =j+1;
%         resinx(j) = k;
%       end
%     end 
% end

