% UNITNORMALSANGLE
% Given two normal vector, return the angle in radians between them
%
%% Description
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Scholarship
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change - Feb, 2009
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
% 
% Usage
%      angle = unitNormalsAngle(n1,n2)
%
% Variables
%   Inputs :
%       n1    - a 3xn vector, first normal 
%       n2    - a 3xn vector, second normal
%
%   Outputs:
%       angle - an integer, angle between the unit  normals
%
%% Code

function angle = unitNormalsAngle(n1,n2)

% Angle between the unit normals
% angle = acos(n1*n2')

angle = acos(unitNormalsCos(n1,n2));