% UNITNORMALSCOS
% Given two normal vector, return the cosine of the angle in radians
% between them
%
%% Description
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Scholarship
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change - Feb, 2009
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062,i
% 
% Usage
%      angleCos = vectors3DAngleCos(u,v)
%
% Variables
%   Inputs :
%       u    - a 3xn vector, first vector
%       v    - a 3xn vector, second vector
%
%   Outputs:
%       unitNcosA - an integer, cosine of the angle between the unit normals
%
%% Code

function angleCos = unitVectors3DAngleCos(u,v)

% Angle cosine between two vectors

angleCos = sum(u.*v,1);
% angleCos2 =dot(u,v,1);


% [n m]= size(u);
% angleCos= zeros(1,m);
% 
% for i=1:m
%   angleCos(i) = u(1,i)*v(1,i)+u(2,i)*v(2,i)+u(3,i)*v(3,i);
% %   angleCos(i) = dotProduct3D(u(:,i),v(:,i)) ;%dotProd;
% end