% AXISANGLE2EXPMAP
%
%% Description
%
% Author -  
%         Ernesto Homar Teniente Aviles
%         CONACYT Scholar
%         Institut de Robotica i Informatica Industrial, CSIC-UPC
%         Last change: 09/2010
% 
% Usage:
%   expo = axisAngle2R(axis_angle)
%
% Variables
%
% Inputs :
%   raxi_angle  - a 4 x 1 vector, [theta; w_x; w_y; w_z]
% 
% Outputs :
%   expo       - a 3 x 1 matrix,  [theta*w_x; thetaw_y; thetaw_z]
% 

%% Code :
function expo = axisAngle2ExpMap(axis_angle)

expo = [axis_angle(1)*axis_angle(2);
        axis_angle(1)*axis_angle(3);
        axis_angle(1)*axis_angle(4);];