% AXISANGLE2RXRYRZ
%
%% Description
%
% Author -  
%         Ernesto Homar Teniente Aviles
%         CONACYT Scholarship
%         Institut de Robotica i Informatica Industrial, CSIC-UPC
%         Last change: 09/2010
% 
% Usage:
%   expo = axisAngle2R(axis_angle)
%
% Variables
%
% Inputs :
%   raxi_angle  - a 4 x 1 vector, [theta; w_x; w_y; w_z]
% 
% Outputs :
%   rxryrz      - a 3 x 1 vector
% 

%% Code :

function rxryrz = axisAngle2rxryrz(axisAngle)

% q = axisAngle2Quaternion(axisAngle);
% R = q2R(q);
R = axisAngle2R(axisAngle);
rxryrz = R2rxryrz(R);