function M1M2 = arrayMatrices3Dmultiplication(M1,M2)

n1 = size(M1,3);
n2 = size(M1,3);

if n1~= n2
  error('Mistmatching dimentions for 3x3xn matrix multiplication')
end
M1M2 = zeros(3,3,n1);

siz = [3 n1];
M2_1 = reshape(M2(:,1,:),siz);
M2_2 = reshape(M2(:,2,:),siz);
M2_3 = reshape(M2(:,3,:),siz);

M1_r = reshape(M1(1,:,:),siz);
M1M2(1,1,:) = sum(M1_r.*M2_1);
M1M2(1,2,:) = sum(M1_r.*M2_2);
M1M2(1,3,:) = sum(M1_r.*M2_3);

M1_r = reshape(M1(2,:,:),siz);
M1M2(2,1,:) = sum(M1_r.*M2_1);
M1M2(2,2,:) = sum(M1_r.*M2_2);
M1M2(2,3,:) = sum(M1_r.*M2_3);

M1_r = reshape(M1(3,:,:),siz);
M1M2(3,1,:) = sum(M1_r.*M2_1);
M1M2(3,2,:) = sum(M1_r.*M2_2);
M1M2(3,3,:) = sum(M1_r.*M2_3);


% M1M2(1,1,:) = M1(1,1,:).*M2(1,1,:)+M1(1,2,:).*M2(2,1,:)+M1(1,3,:).*M2(3,1,:);
% M1M2(1,2,:) = M1(1,1,:).*M2(1,2,:)+M1(1,2,:).*M2(2,2,:)+M1(1,3,:).*M2(3,2,:);
% M1M2(1,3,:) = M1(1,1,:).*M2(1,3,:)+M1(1,2,:).*M2(2,3,:)+M1(1,3,:).*M2(3,3,:);
% 
% M1M2(2,1,:) = M1(2,1,:).*M2(1,1,:)+M1(2,2,:).*M2(2,1,:)+M1(2,3,:).*M2(3,1,:);
% M1M2(2,2,:) = M1(2,1,:).*M2(1,2,:)+M1(2,2,:).*M2(2,2,:)+M1(2,3,:).*M2(3,2,:);
% M1M2(2,3,:) = M1(2,1,:).*M2(1,3,:)+M1(2,2,:).*M2(2,3,:)+M1(2,3,:).*M2(3,3,:);
% 
% M1M2(3,1,:) = M1(3,1,:).*M2(1,1,:)+M1(3,2,:).*M2(2,1,:)+M1(3,3,:).*M2(3,1,:);
% M1M2(3,2,:) = M1(3,1,:).*M2(1,2,:)+M1(3,2,:).*M2(2,2,:)+M1(3,3,:).*M2(3,2,:);
% M1M2(3,3,:) = M1(3,1,:).*M2(1,3,:)+M1(3,2,:).*M2(2,3,:)+M1(3,3,:).*M2(3,3,:);