% Script that gets data from gpsDataFiles and translate them into WGS84
% cartesian coordinates
close all
format long
lat_d=[];
lon_d=[];
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_113218_0000_gpsDataFile_AA.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_113935_0000_gpsDataFile_BB.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_114521_0000_gpsDataFile_CC.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_115146_0000_gpsDataFile_DD.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_115714_0000_gpsDataFile_EE.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);

%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_120116_0000_gpsDataFile_FF.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);

%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_120327_0000_gpsDataFile_GG.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080318_120603_0000_gpsDataFile_GG2BB.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('../../newGPS/processData/20080410_115803_0000_gpsDataFile.txt','%f %d %f %f %f %d %f %*f %*f %*f %s','headerlines',1);

% Other tests from office with MORE VBLES IN THE FILE lat/long coming already in
% rads
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, GGAs]=textread('20080327_154922_0000_gpsDataFile.txt','%f %d %f %f %f %d %f %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);


%third experiment in Campus Nord: points A00 B01 C02 D04 E05 F06
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_155709_0000_gpsDataFileA00.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_160732_0000_gpsDataFileB01.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_162649_0000_gpsDataFileC02.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_164626_0000_gpsDataFileD04.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);
%[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_165126_0000_gpsDataFileE05.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);
[timeStamp, gpsStatus, latitude, longitude, altitude, nSatellites, HDOP, eLat, eLon, eAlt, GGAs]=textread('20080416_165857_0000_gpsDataFileF06.txt','%f %d %f %f %f %d %f  %f %f %f  %*f %*f %*f %*f %*f %*f %*f %s','headerlines',1);


ind=find((gpsStatus==0).*(nSatellites>=3));
timeStamp=timeStamp(ind);
% latitude=pi/180*latitude(ind); % For 1st test files
% longitude=pi/180*longitude(ind); % For 1st test files
latitude=latitude(ind); % For 2nd test files
longitude=longitude(ind); % For 2nd test files

altitude=altitude(ind);
nSatellites=nSatellites(ind);
HDOP=HDOP(ind);
GGAs=GGAs(ind);
for i=1:size(ind,1)
    [lat_dmi lon_dmi]=strread(GGAs{i,1}, '%*s%*s%10f%*s%11f', 1, 'delimiter', ',');
    lat_m=mod(lat_dmi,100);
    lat_di=(lat_dmi-lat_m)/100+lat_m/60;
    lon_m=mod(lon_dmi,100);
    lon_di=(lon_dmi-lon_m)/100+lon_m/60;
    lat_d=[lat_d; lat_di];
    lon_d=[lon_d; lon_di];
end
lat_rad=lat_d*pi/180;
lon_rad=lon_d*pi/180;
%[x,y,z]=lla2ecef(latitude,longitude,altitude);
[x,y,z]=lla2ecef(lat_rad,lon_rad,altitude);

%alt_def=95*ones(size(altitude));
%[x,y,z]=lla2ecef(latitude,longitude,alt_def);

media_lat=mean(lat_rad);
media_lon=mean(lon_rad);
media_alt=mean(altitude);
[medx,medy,medz]=lla2ecef(media_lat,media_lon,media_alt);
desv_lat=std(lat_rad);
desv_lon=std(lon_rad);
desv_alt=std(altitude);
media_x=mean(x);
media_y=mean(y);
media_z=mean(z);
desv_x=std(x);
desv_y=std(y);
desv_z=std(z);
plot3(x-media_x,y-media_y,z-media_z,'.');
xlabel('delta_x');
ylabel('delta_y');
zlabel('delta_z');
title('Points in cartesian coordinates');
figure(2);
plot3(lat_rad-mean(lat_rad),lon_rad-mean(lon_rad),altitude-mean(altitude),'r.');
xlabel('latitud');
ylabel('longitude');
zlabel('altitude');
title('Points in spherical coordinates');