% ROTATEDATA3D
% 
%% Description
%
% Author - 	
%           Ernesto Homar Teniente Aviles
%           CONACYT Scholarship
%           Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 07/2010
%           
%
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
% 
% Usage:
%   outData = data3DRotate(inData,R)
%
% Varibles:
%   Input
%       inData  - 3 x n matrix, 3D data
%       R       - 3 x 3 matrix, rotation matrix
%
%   Output:
%       outData - a 3 x n matrix, 

%% Code

function outData = rotateData3D(inData,R)

outData =  R*inData;

