%% UPDATEHRt -
% Updates an old homogenus matrix given a new rotation matrix and
% translation vector
%
%% Description
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 7/2007
%
% Usage
%   	H_updated = updateH(H_new,H_last)
%
% Variables:
%   Input:
%       H_new  - a 4x4 matrix, homegeneus matrix
%       H_last - a 4x4 matrix, homegeneus matrix
%
%   Outputs:
%       updatedH - a 4x4 matrix, resulting homegeneus matrix

%% Code
function updatedH = updateHRt(H_new,H_last)

 updatedH = H_new*H_last;
