%%  GETICPCONFIGPARAMIJRR
% Get configuration parameters for the implementation of the ICP algorithm
%
%% Description:
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 10/2010
%			Version 1.0
%
% Usage
%		getConfigParamICP

%% Code
% ICP parameters

% Matching parameters                            
matchtype =1;                      % 0 pt2pt, 1 hybrid
dsigma_ = 3;                        % Sigma for dynamic distance filter
maxAngle = deg2rad(35);            % a real, Max angle between normals 
                                   % in radians
errTrPlanes =  0.06;               % Adjust error 4 planes 0.0005 2D5: .0001
% MSE parameters
L = 20;                            % L factor MbICP Biota_icra06
msetype = 'Mb';
boxsize = 2.25;
NNs = 'GLTree';                      % 'ANN' , 'GLTree', 'BNN'
% Convergence parameters
maxiter = 10;
mindk2 = 0.0001;  % dk2
errTr = 0.000005; % ek2-dk2 

