function [ ] = updateCovGraphs( fig, color, covMean, corrCov, sd, res )
%PLOTCOVGRAPHS Summary of this function goes here
%   Detailed explanation goes here

%% Creació de la figura i els subplots

figure(fig.handle);
h=plot_gaussian_ellipsoid([covMean(1) covMean(2)]', corrCov.xy, sd, res, fig.sp1); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(1) covMean(3)]', corrCov.xz, sd, res, fig.sp2); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(1) covMean(4)]', corrCov.xphi, sd, res, fig.sp3); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(1) covMean(5)]', corrCov.xtheta, sd, res, fig.sp4); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(1) covMean(6)]', corrCov.xpsi, sd, res, fig.sp5); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(2) covMean(3)]', corrCov.yz, sd, res, fig.sp6); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(2) covMean(4)]', corrCov.yphi, sd, res, fig.sp7); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(2) covMean(5)]', corrCov.ytheta, sd, res, fig.sp8); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(2) covMean(6)]', corrCov.ypsi, sd, res, fig.sp9); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(3) covMean(4)]', corrCov.zphi, sd, res, fig.sp10); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(3) covMean(5)]', corrCov.ztheta, sd, res, fig.sp11); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(3) covMean(6)]', corrCov.zpsi, sd, res, fig.sp12); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(4) covMean(5)]', corrCov.phitheta, sd, res, fig.sp13); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(4) covMean(6)]', corrCov.phipsi, sd, res, fig.sp14); set(h,'color',color);
h=plot_gaussian_ellipsoid([covMean(5) covMean(6)]', corrCov.thetapsi, sd, res, fig.sp15); set(h,'color',color);