% GETCENTROID -
% Given a data set, compute its centroid
%
%% Description
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Scholarship
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 12/2008
%
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
%
%
%% Usage:
%   c_data = getCentroid(data)
%
% Variables :
%
% Inputs:
% 
%   data - a  3xn matrix, points
% 
% Outputs
%
%	c_data	- a 3x1 vector centroid

%% Code


function c_data = getCentroid(data)

n = size(data,2);

c_data = sum(data,2)/n;

% centroid = [0;0;0];
% 
% for i = 1:n
% 	centroid = centroid + data(:,i);
% end
% 
% c_data = centroid/n;
