function [ ICPHRt ] = MbICP3DAlgSergi( refMatchedPoints, newMatchedPoints )
%MBICP3DALGSERGI Summary of this function goes here
%   Detailed explanation goes here
global dataP dataPp L MbCov q

L=1000000000;

dataP = refMatchedPoints';
dataPp = newMatchedPoints';

[A b] = MbICP3DgetAb;
q_min = MbICP3Dminm(A,b);
% Getting theta, nx, ny and nz
v = nonunitRotAxis2rotVec(q_min(4:6));
% Getting the rotation matrix R from r
R = rotVec2R(v);
ICPHRt = [R q_min(1:3,1); 0 0 0 1];
q = q_min;
MbCov = MbICP3Dcovzt(A,b);