function H = icp3DMinimization(cXr, cXq, varargin)


% TODO: SELECT THE DESIRED METRIC. 'Type', type witch process options
chkvarargin(varargin,2);

[type ...
  L ]= process_options(varargin,...
                      'MSEType', 'SVD',...
                      'L',30);




% MEtric Based ICP [Biota_icra06]
switch type
  case 'Mb'
    [A b] = MbICP3DgetAb2(cXq,cXr, L);
    q_min = MbICP3Dminm(A,b);
    % Compute the corresponding homogenus transformation
    H = [ expMap2R(q_min(4:6)) q_min(1:3,1); 0 0 0 1];
  case 'SVD'
    H = beslICP3DsvdMinm(cXr,cXq);
    
  case 'Quat'
    H = beslICP3DquatMinm(cXr,cXq);
end