

%% Test the ANN library.

% by Doctorando Ernesto Homar Teniente Avils

% UPC-IRI, CONACYT schoolarship, Feb 2008

clear all;

close all; 

clc

addpath('C:\Erno.info\Documentos\UPC.IOC.IRI.Tutelado\Smart_data\Matlab_code\smartd-upc.matfiles');

addpath(genpath('C:\Erno.info\Documentos\UPC.IOC.IRI.Tutelado\MatlabCode\Functions'))

addpath(genpath('C:\Erno.info\Documentos\UPC.IOC.IRI.Tutelado\Smart_data\Matlab_code\Functions'))

% filename = ['upc-bigrun3'];

% num = 10;

% 73 102

%87 90

% 93 96

%% Variables

savef = 0; % Indicates when to save(=1) or not(=0)

filename = 'upc-bigrun-toatrium';

ini =79; % Must be odd even number

last = 82; % Must be an even number

%% Opening the .dat file (filename) from ini to last

[N vPose] = openSmartDataMat(filename,ini,last);

%% Applying the Filters

fprintf('Applying Filters :\n')

j = 1;

for i =1:size(N,2)

%     plotcloudstrc(N(i),10+i,'k',0.3,0,90);

    Norig = size(N(i).data,1);

%     fprintf('pose = %6.4f %6.4f %6.4f\n', vPose(j,1:3))

%     % Applying the Median filter

%     fprintf('Medan Filter...');

    N(i).data = medianfiltersmart(N(i).data,5);

    % The points aftex maxDist are discarded

    N(i).data =maxDist(N(i).data ,vPose(j,1:3), 20);

    % The points up to x meter from Z are discarded

    N(i).data = TOZup(N(i).data,vPose(i,1:3), 5.5);

%     fprintf('Uniform Sampling...');

%     N(i).data = UnifSampBoxes(N(i).data,0.50);

%      plot3(vPose(j:j+1,1),vPose(j:j+1,2),vPose(j:j+1,3),'r.','erasemode','no

     fprintf('Cloud %d Size :  Original %d, sampled : %d \n', [i Norig size(N(i).data,1)]);

     j=j+2;

end

%% using ANN



for i =1:(size(N,2)-1)

    tic

    ANNindex = useANN(N,2.5);

    toc

    plotcloudsmatchedp(N,100,'k',0,ANNindex);

end

