function icpSaveResults(results,filePath)
% Save icp result in txt, position and covariance
sep = filesep;
f =datestr(now,30);
dirName = ['EX_RESICP_' f];
dirICPSave =[filePath sep 'Results' sep 'ICP' sep dirName];
status = mkdir(dirICPSave);
if status
  l = 0;
  for i=1:size(results,2)+1
    fprintf('Saving Scan matching: %d\n',i);
    if l
    readings.icp.pose_local = HRt2xyzrxryrz( results(i-1).Rt);
    readings.icp.cov= results(i-1).error.cov;
    readings.icp.clouds = results(i-1).pairs';
    id = sprintf('%04g_%04g',[readings.icp.clouds(1) readings.icp.clouds(2)]);
    else
    readings.icp.pose_local = zeros(6,1);
    readings.icp.cov = zeros(6);
    readings.icp.clouds = 1;
    id = sprintf('%04g',1);
    end
    saveReadings(readings,dirICPSave,id);
    l = l+1;
  end
end

fileName = 'Resume.txt';
fid = fopen(fileName,'a+');
fprintf(fid,'scans = %d',i);
movefile(fileName,dirICPSave);
fclose(fid);


