function [zf] = medianfilter3D(z,mednumpoints,d_threshold)

%% Median filter 
% z -> A matrix containing the points
% mednumpoints -> Size of the window
% d_threshold -> Maximum distance between points inside the window, else
% finish teh windows, anda obtenin the median filter

%% MEDIAN FILTER ALGORITHM
% [GUT99]
% 
% for i := 0 to numpoints(z) 1 do 
%   to modify 
%   to modify
%   if d1 or d2 > distance_threshold
% 		p := n-th-scanpoint(z; i) 
% 		for j := 0 to MEDIAN-NUM-POINTS 1 do 
% 			k := (i + j - MEDIAN-NUM-POINTS/2) mod numpoints(s) 
% 			p_k := n-th-scanpoint(z; k) 
% 			d(j) := distance-value(p_k ) 
% 		endfor 
% 		d_median := median(d) 
% 		n-th-scanpoint(z' ; i) := (angle-value(p); d median ) 
% 	endfor 
% 	return z'
%% Code

% fprintf('Median filter 3D...Running...')

numpoints = size(z,1);
zf = zeros(numpoints,3);
%SERGI: change
% for i =1:numpoints-1
for i =1:numpoints
    % attemp to avoid round off corners
    % d1 = abs(z(i-1)-z(i));
    % d2 = abs(z(i)-z(i+1));
    % if (d1 < d_threshold | d2 < d_threshold )
        for j= 1:mednumpoints
%             k = mod (i+j-floor(mednumpoints/2)+1, numpoints);
            k = floor(i+j-mednumpoints/2);
            % fprintf('i: %d, j : %d, k : %d\n',[i j k]);
%SERGI: change
%             if (k > 0 & k < numpoints)
            if (k > 0 & k <= numpoints)
                p(j,:) = z(k,:);
              %  fprintf('Guardados,i: %d,j : %d, k : %d\n',[i j k]);
            end
        end
%         p(0.5+mednumpoints/2
        p(:,4) = mean(p,2);
        p = sortrows(p,4);
        % fprintf('p :\n');
        % fprintf('%6.4f %6.4f %6.4f %6.4f\n',p')
        % fprintf ('i: %d, p: %d, max_points: %d\n',[i (0.5+mednumpoints/2) size(z,1)])
%         zf = [zf;p(0.5+mednumpoints/2,1:3)];
        zf(i,:) = p(0.5+mednumpoints/2,1:3);
        % fprintf('zf saved\n');
        clear p
end
% fprintf('DONE.\n');

