%% Description

% Computes the distance between A and B
%   A - nxm matrix, n dim, m- size of data
%   B - nxm matrix, n dim, m- size of data

function  distance = dpp(A,B)


[nA mA]= size(A);
[nB mB] = size(B);

if nA~=nB || mA~=mB
    error('mismatch dimensions between A and B')
end

distance = zeros(1,mA);
difAB = B-A;

for i=1:nA
    sumdifAB = sum(difAB)^2;
    distance(i,:)= sqrt(sumdifAB);
end



