% PLANEEQUATION
% Given a normal and a point obtain its plane equation
%
%% Description
% Given the normal plane and a point of the plane compute the parametric
% equation
%
% Author - 	
%           Ernesto Homar Teniente Aviles
%			IRI,IOC, Universidad Polit�cnica de Catalu�a
% 			CONACYT Scholarship
% Date	 -	May, 2008 (last modification)
% 
%% Usage
%
% Variables:
%   Input:
%
%   Outputs:
%
%% Code
function eq = planequation(normal,P1)

syms x y z
P = [x,y,z];

realdot = @(u, v) u*transpose(v);
eq = realdot(normal, P-P1);



