function q = R2Quaternion(R)

% Input - 
%     R-3x3 rotation matrix SO3
% Output - 
%     q- 4x1 vector,quaternion


q_0 = 0.5*sqrt(1+R(1,1)+R(2,2)+R(3,3)) ;
tmp = 4*q_0;
q = [ q_0;
    (R(3,2)-R(2,3))/tmp;
    (R(1,3)-R(3,1))/tmp;
    (R(2,1)-R(1,2))/tmp];
