%% APPBINSEARCH
% Apply a binary search given a data x and a delta, and returns the upper
% index
%% Description:
%
% Author - 	
%           Ernesto Homar Teniente Aviles
% 			CONACYT Fellow
%			Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 07/2009
%			Version 2.0
%
% Usage -
%   uppindx = appBinSearch(dataSet,delta,x)

%% Code

function  uppindx = appBinSearch(dataSet,delta,x)

vupp =(x+delta);
low_i = 1;
upp_i = size(dataSet,2);
uppindx = round((upp_i)/2);
% lowindx = round((upp_i+low_i-1)/2);
% Finds the lower index by a binary search
while ((low_i+1) < upp_i);
    if dataSet(uppindx) > vupp;
        upp_i = uppindx;
    else dataSet(uppindx) < vupp;
        low_i = uppindx;
    end
    uppindx = round((upp_i+low_i-1)/2);
end


