function [ point_new ] = applyR2point( point, R )
%APPLYR2POINT Applies a 3D rotation to a point
% function [ point_new ] = applyR2point( point, R )
% 
% Inputs:
%       - point -> [ 3 x 1 ] Data set
%       - R     -> [ 3 x 3 ] Rotation Matrix
% 
% Outputs:
%       - point_new -> [ 3 x 1 ] New rotated Data set 
%   Author:
%           Sergi Foix Salmeron
%           PRE-JAE
%           Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change - July, 2009
%
% This code has been developed as part of the XXX Project
% 

point_new = R * point;

