%% Description:
% This funciton is used to find realtion between poses acording with some
% contstrains
%
%% Author - 	
%           Ernesto Homar Teniente Aviles
%			IRI,IOC, Universidad Politcnica de Catalua
% 			CONACYT Scholarship
% Date	 -	May, 2008 (last modification)
% 
%% Usage
%   [posesInx] = findDistances(pointsSet,maxDist)
%
% Variables
%   Inputs
%       pointsSet   - a 3 x n matrix, Set of poses to anlize
%       maxDist     - a real, Maximum distance between poses.

%   outputs
%       posesInx - a matrix of realtioned index acomplishing the maximum 
%                   distances constrain
%% Code
function [posesInx] = findDistances(pointsSet,maxDist)


posesInx = zeros(1,2);
k =1; 
for i=1:size(pointsSet,1)
    drawPosei = 1;
    for j=1:size(pointsSet,1)
        if (i~=j && (i+1)~=j)
            pointsSetDiff = sqrt((norm(pointsSet(i,1:3)-pointsSet(j,1:3)))^2);
            if pointsSetDiff <= maxDist && i< j && i+2 < j
                posesInx(k,1:3) = [i j pointsSetDiff];
                k = k+1;
            end
        end
    end
end

