% RX3D -
% Rotate 3D data bout x axis
%
%% Description
% Author - 	
%       Ernesto Homar Teniente Aviles
% 			CONACYT Schoolar
%			  Institut de Robotica i Informatica Industrial, CSIC-UPC
%       Last change: 07/2010
%			  Version 1.2
%
% Usage:
%       dataRx = Rx3D(data,angle)
%
% Variables
%  Input:
%       data - a 3 x n matrix, contaning the points to rotate
%       angle  - a real, angle (rad)
%
%  Outputs;
%        dataRx - a 3 x n matrix, rotated data

%% Code
function dataRx = Rx3D(data3D,angle)


[n m] =size(data3D);

if m==3
  data3D = [data3D(:,1);data3D(:,2); data3D(:,3)];
end
  
%TODO for  i=1:nPoints
dataRx = [1 0 0;0 cos(angle) -sin(angle);0 sin(angle) cos(angle)]*data3D;
%end


