% ROTATION3D
% 
%% Description
%
% Author - 	
%           Ernesto Homar Teniente Aviles
%           CONACYT Scholarship
%           Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change: 07/2010
%           
%
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
% 
% Usage:
%   outData = data3DRotate(inData,R)
%
% Varibles:
%   Input
%       inData  - 3 x n matrix, 3D data
%       R       - 3 x 3 matrix, rotation matrix
%
%   Output:
%       outData - a 3 x n matrix, 

%% Code

function outData = rotation3D(inData,R)

nPoints = size(inData,2);
% outData = zeros (3,nPoints);

outData = R*inData;


%for i=1:nPoints
%   outData(:,i) = R*inData(:,i);
%end
