function S = getBoxStructAcka(data,boxsize,delta)

% Compute boxes

boxes = boxesListv2(data,boxsize,delta);

% compute box information
info =boxBounds(data, delta);
m =boxesQuantity(info.delta,boxsize);
% Fill up matrices I and B
S.I = zeros(m(1),m(2),m(3));
S.B = zeros(m(1),m(2),m(3));

for i=1:size(boxes,1)
  % number of points in each box
  S.B(boxes(i,1),boxes(i,2),boxes(i,3)) = S.B(boxes(i,1),boxes(i,2),boxes(i,3))+1;
end
S.I(1,1,1) =  1;
for u=1:m(1)
  for v=1:m(2)  
    for w=1:m(3)
      if u > 1 || v>1 || w > 1
        if w >1
          S.I(u,v,w) =  S.I(u,v,w-1)+ S.B(u,v,w-1);
        elseif v>1
          S.I(u,v,w) =  S.I(u,v-1,m(3)-1)+ S.B(u,v-1,m(3)-1);
        else
          S.I(u,v,w) =  S.I(u-1,m(2)-1,m(3)-1)+ S.B(u-1,m(2)-1,m(3)-1);
        end
  
      end
    end
  end
end

% Filling L2
S.B = zeros(m(1),m(2),m(3));
S.L2 = zeros(1,size(boxes,1));
for i=1:size(boxes,1)
  inx =S.I(boxes(i,1),boxes(i,2),boxes(i,3))+S.B(boxes(i,1),boxes(i,2),boxes(i,3));
  S.B(boxes(i,1),boxes(i,2),boxes(i,3))= S.B(boxes(i,1),boxes(i,2),boxes(i,3))+1;
  S.L2(inx) = i; 
end
S.boxCFrame = boxCFrame(info);
S.bounds =info;