function S = getBoxStructMine(data,boxsize,delta)

% Compute boxes
boxes = boxesListv2(data,boxsize,delta);
% compute box information
info =boxBounds(data, delta);

[occup ignore S.L2]=  boxesOccupiedandSort(boxes);

m =boxesQuantity(info.delta,boxsize);
% Fill up matrices I and B
S.I = zeros(m(1),m(2),m(3));
S.B = zeros(m(1),m(2),m(3));


for i=1:size(occup.boxes,1)
  S.B(occup.boxes(i,1),occup.boxes(i,2),occup.boxes(i,3)) =occup.npts(i);
  S.I(occup.boxes(i,1),occup.boxes(i,2),occup.boxes(i,3)) =occup.inx.first(i);
end

S.boxCFrame = boxCFrame(info);
S.bounds =info;
% 
% S.boxes =occup.boxes;
% S.I = occup.inx.first;
% S.B = occup.npts;
% 
% 
% for i=1:size(boxes,1)
%   % number of points in each box
%   S.B(boxes(i,1),boxes(i,2),boxes(i,3)) = S.B(boxes(i,1),boxes(i,2),boxes(i,3))+1;
% end
% 
% count = 1;
% for u=1:m(1)
%   for v=1:m(2)  
%     for w=1:m(3)
%       if u > 1 || v>1 || w > 1
%         if S.B(u,v,w)
%           S.I(u,v,w) = count;
%           count = count+S.B(u,v,w);
%         end
%       end
%     end
%   end
% end
% 
% % Filling L2
% S.B = zeros(m(1),m(2),m(3));
% % 
% S.L2 = zeros(1,size(boxes,1));
% for i=1:size(boxes,1)
%   inx =S.I(boxes(i,1),boxes(i,2),boxes(i,3))+S.B(boxes(i,1),boxes(i,2),boxes(i,3));
%   S.B(boxes(i,1),boxes(i,2),boxes(i,3))= S.B(boxes(i,1),boxes(i,2),boxes(i,3))+1;
%   S.L2(inx) = i; 
% end
