function [ fig ] = plotCov3DGraphs( covMean, corrCov, sd,res)
%PLOTCOVGRAPHS Summary of this function goes here
%   Detailed explanation goes here

%% Creació de la figura i els subplots
fig.handle = figure;hold on;
% set(fig.handle,'color','white');
fig.sp1 = subplot(1,3,1); axis(fig.sp1,'equal'); title('X-Y Covariance');xlabel('meters (X)');ylabel('meters (Y)');
fig.sp2 = subplot(1,3,2); axis(fig.sp2,'equal'); title('X-Z Covariance');xlabel('meters (X)');ylabel('meters (Z)');
fig.sp3 = subplot(1,3,3); axis(fig.sp3,'equal'); title('Y-Z Covariance');xlabel('meters (Y)');ylabel('meters (Z)');


h=plot_gaussian_ellipsoid([covMean(1) covMean(2)], corrCov.xy, sd, res, fig.sp1); set(h,'color','black');
plot(fig.sp1,covMean(1), covMean(2), '.k', 'MarkerSize', 10);
h=plot_gaussian_ellipsoid([covMean(1) covMean(3)], corrCov.xz, sd, res,fig.sp2); set(h,'color','black');
plot(fig.sp2,covMean(1), covMean(3), '.k', 'MarkerSize', 10);
h=plot_gaussian_ellipsoid([covMean(2) covMean(3)], corrCov.yz, sd, res,fig.sp3); set(h,'color','black');
plot(fig.sp3,covMean(2), covMean(3), '.k', 'MarkerSize', 10);
