function h=PlotAmortizedCost(steps,cost,varargin)
% Computes and plots amortized cost.
%
% Computes and plots the amortized execution cost.


  n=size(steps,2);
  c=zeros(1,n);
  for i=1:n
    c(i)=sum(cost(1:i))/i;
  end

  % Whe only show the steps with a non-zero cost
  ndx=(cost>0);
  h=plot(steps(ndx),c(ndx),varargin{1:end});
  